
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java 随机取字符串的工具类_java / iVAN</title>

    <meta name="description" content="Java 随机取字符串的工具类_java 一.Java随机数的产生方式 在Java中,随机数的概念从广义上将,有三种. 1.通过System.currentTimeMillis()来获取一个当前时间毫秒数的long型数字. 2.通过Math.random()返回一个0到1之间的double值. 3.通过Random类来产生一个随机数,这个是专业的Random工具类,功能强大. 二.Random类API说明 1.Java API说明 Random类的实例用于生成伪随机数流.此类使用 48 位的种子,使用线性同余公式对其进行修改(请参阅 D">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java 随机取字符串的工具类_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、Java随机数的产生方式</p>
<p>　　 在Java中，随机数的概念从广义上将，有三种。<br />　　 1、通过System.currentTimeMillis()来获取一个当前时间毫秒数的long型数字。<br />　　 2、通过Math.random()返回一个0到1之间的double值。<br />　　 3、通过Random类来产生一个随机数，这个是专业的Random工具类，功能强大。</p>
<p>二、Random类API说明</p>
<p>　　 1、Java API说明<br />　　 Random类的实例用于生成伪随机数流。此类使用 48 位的种子，使用线性同余公式对其进行修改（请参阅 Donald Knuth 的《The Art of Computer Programming, Volume 2》，第 3.2.1 节）。</p>
<p>　如果用相同的种子创建两个 Random 实例，则对每个实例进行相同的方法调用序列，它们将生成并返回相同的数字序列。为了保证属性的实现，为类 Random 指定了特定的算法。 <br />　　很多应用程序会发现 Math 类中的 random 方法更易于使用。</p>
<p>　　 2、方法摘要<br />　　 Random() <br />　　创建一个新的随机数生成器。</p>
<p>　　 Random(long seed) <br />　　使用单个 long 种子创建一个新随机数生成器：<br />         public Random(long seed) { setSeed(seed); } next 方法使用它来保存随机数生成器的状态。</p>
<p>　　 protected int next(int bits) <br />　　生成下一个伪随机数。</p>
<p>　　 boolean nextBoolean() <br />　　返回下一个伪随机数，它是从此随机数生成器的序列中取出的、均匀分布的 boolean 值。</p>
<p>　　 void nextBytes(byte[] bytes) <br />　　生成随机字节并将其置于用户提供的字节数组中。</p>
<p>　　 double nextDouble() <br />　　返回下一个伪随机数，它是从此随机数生成器的序列中取出的、在 0.0 和 1.0之间均匀分布的 double 值。</p>
<p>　　 float nextFloat() <br />　　返回下一个伪随机数，它是从此随机数生成器的序列中取出的、在 0.0 和 1.0 之间均匀分布的 float 值。</p>
<p>　　 double nextGaussian() <br />　　返回下一个伪随机数，它是从此随机数生成器的序列中取出的、呈高斯（“正常地”）分布的 double 值，其平均值是 0.0，标准偏差是 1.0。</p>
<p>　　 int nextInt() <br />　　返回下一个伪随机数，它是此随机数生成器的序列中均匀分布的 int 值。</p>
<p>　　 int nextInt(int n) <br />　　返回一个伪随机数，它是从此随机数生成器的序列中取出的、在 0（包括）和指定值（不包括）之间均匀分布的 int值。</p>
<p>　　 long nextLong() <br />　　返回下一个伪随机数，它是从此随机数生成器的序列中取出的、均匀分布的 long 值。</p>
<p>　　 void setSeed(long seed) <br />　　使用单个 long 种子设置此随机数生成器的种子。</p>
<p>三、Random类使用说明</p>
<p>　　 1、带种子与不带种子的区别<br />　　 Random类使用的根本是策略分带种子和不带种子的Random的实例。 <br />　　通俗说，两者的区别是： <br />　　带种子的，每次运行生成的结果都是一样的。 <br />　　不带种子的，每次运行生成的都是随机的，没有规律可言。 <br />　　 2、创建不带种子的Random对象<br />　　 Random random = new Random(); <br />　　 3、创建不带种子的Random对象<br />　　 有两种方法：<br />　　 1） Random random = new Random(555L); <br />　　 2） Random random = new Random(); <br />　　 random.setSeed(555L);</p>
<p>四、综合应用</p>
<p>　　下面通过最近写的一个随机数工具类来展示用法:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>　　 import java.util.Random;<br />　　 /** <br />　　 * 随机数、随即字符串工具 <br />　　 * User: leizhimin <br />　　 * Date: 2008-11-19 9:43:09 <br />　　 */ <br />　　 public class RandomUtils { <br />　　 public static final String allChar = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";<br />　　 public static final String letterChar = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";<br />　　 public static final String numberChar = "0123456789";<br />　　 /** <br />　　 * 返回一个定长的随机字符串(只包含大小写字母、数字) <br />　　 * <br />　　 * @param length 随机字符串长度 <br />　　 * @return 随机字符串 <br />　　 */ <br />　　 public static String generateString(int length) { <br />　　 StringBuffer sb = new StringBuffer(); <br />　　 Random random = new Random(); <br />　　 for (int i = 0; i &lt; length; i++) {<br />　　   sb.append(allChar.charAt(random.nextInt(allChar.length()))); <br />　　 } <br />　　 return sb.toString(); <br />　　 }<br />
<br />　　 /** <br />　　 * 返回一个定长的随机纯字母字符串(只包含大小写字母) <br />　　 * <br />　　 * @param length 随机字符串长度 <br />　　 * @return 随机字符串 <br />　　 */ <br />　　 public static String generateMixString(int length) { <br />　　 StringBuffer sb = new StringBuffer(); <br />　　 Random random = new Random(); <br />　　 for (int i = 0; i &lt; length; i++) {<br />　　 sb.append(allChar.charAt(random.nextInt(letterChar.length()))); <br />　　 } <br />　　 return sb.toString(); <br />　　 }</p>
<p>　　 /** <br />　　 * 返回一个定长的随机纯大写字母字符串(只包含大小写字母) <br />　　 * <br />　　 * @param length 随机字符串长度 <br />　　 * @return 随机字符串 <br />　　 */ <br />　　 public static String generateLowerString(int length) { <br />　　 return generateMixString(length).toLowerCase(); <br />　　 }</p>
<p>　　 /** <br />　　 * 返回一个定长的随机纯小写字母字符串(只包含大小写字母) <br />　　 * <br />　　 * @param length 随机字符串长度 <br />　　 * @return 随机字符串 <br />　　 */ <br />　　 public static String generateUpperString(int length) { <br />　　 return generateMixString(length).toUpperCase(); <br />　　 }</p>
<p>　　 /** <br />　　 * 生成一个定长的纯0字符串 <br />　　 * <br />　　 * @param length 字符串长度 <br />　　 * @return 纯0字符串 <br />　　 */ <br />　　 public static String generateZeroString(int length) { <br />　　 StringBuffer sb = new StringBuffer(); <br />　　 for (int i = 0; i &lt; length; i++) {<br />　　 sb.append('0'); <br />　　 } <br />　　 return sb.toString(); <br />　　 }</p>
<p>　　 /** <br />　　 * 根据数字生成一个定长的字符串，长度不够前面补0 <br />　　 * <br />　　 * @param num 数字 <br />　　 * @param fixdlenth 字符串长度 <br />　　 * @return 定长的字符串 <br />　　 */ <br />　　 public static String toFixdLengthString(long num, int fixdlenth) { <br />　　 StringBuffer sb = new StringBuffer(); <br />　　 String strNum = String.valueOf(num); <br />　　 if (fixdlenth - strNum.length() &gt;= 0) {<br />　　 sb.append(generateZeroString(fixdlenth - strNum.length())); <br />　　 } else { <br />　　   throw new RuntimeException( "将数字" + num + "转化为长度为" + fixdlenth + "的字符串发生异常！");<br />　　 } <br />　　 sb.append(strNum); <br />　　 return sb.toString(); <br />　　 }</p>
<p>　　 /** <br />　　 * 根据数字生成一个定长的字符串，长度不够前面补0 <br />　　 * <br />　　 * @param num 数字 <br />　　 * @param fixdlenth 字符串长度 <br />　　 * @return 定长的字符串 <br />　　 */ <br />　　 public static String toFixdLengthString(int num, int fixdlenth) { <br />　　 StringBuffer sb = new StringBuffer(); <br />　　 String strNum = String.valueOf(num); <br />　　 if (fixdlenth - strNum.length() &gt;= 0) {<br />　　 sb.append(generateZeroString(fixdlenth - strNum.length())); <br />　　 } else { <br />　　 throw new RuntimeException( "将数字" + num + "转化为长度为" + fixdlenth + "的字符串发生异常！");<br />　　 } <br />　　 sb.append(strNum); <br />　　 return sb.toString(); <br />　　 }</p>
<p>　　 public static void main(String[] args) { <br />　　 System.out.println(generateString(15)); <br />　　 System.out.println(generateMixString(15)); <br />　　 System.out.println(generateLowerString(15)); <br />　　 System.out.println(generateUpperString(15)); <br />　　 System.out.println(generateZeroString(15)); <br />　　 System.out.println(toFixdLengthString(123, 15)); <br />　　 System.out.println(toFixdLengthString(123L, 15)); <br />　　 } <br />　　 }</p>
<p>运行结果： <br />　　 vWMBPiNbzfGCpHG <br />　　 23hyraHdJkKPwMv <br />　　 tigowetbwkm1nde <br />　　 BPZ1KNEJPHB115N <br />　　 000000000000000 <br />　　 000000000000123 <br />　　 000000000000123 <br />　　 Process finished with exit code 0<br />
<br />六、总结</p>
<p>　　 1、随机数很常用，在Java有三种产生方式，以Random随机数的使用最为复杂。 <br />　　 2、Random类对象有是否带种子之分，带种子的只要种子相同，多次运行，生成随机数的结果总是那样。 <br />　　 3、带种子随机数的带种子的对象创建方式有两种，效果一样。但是带种子的随机数用处似乎不大。 <br />　　 4、Random的功能涵盖了Math.random()的功能。 <br />　　 5、可以通过随机数去做实现随机字符串等复杂的随机数据。 <br />　　 6、不要研究不重复的随机数，意义不大   </p>
<p>补充代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>package com.test;<br />import java.util.Random;<br />
<br />public class RandomUtils {<br /> public static final String ALLCHAR = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";<br /> public static final String LETTERCHAR = "abcdefghijkllmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";<br /> public static final String NUMBERCHAR = "0123456789";</p>
<p>  /** <br />     * 返回一个定长的随机字符串(只包含大小写字母、数字) <br />     * @param length 随机字符串长度 <br />     * @return 随机字符串 <br />     */ <br /> public static String generateString(int length)<br /> {<br />  StringBuffer sb = new StringBuffer();<br />  Random random = new Random();<br />  for (int i = 0; i &lt; length; i++) {<br />   sb.append(ALLCHAR.charAt(random.nextInt(ALLCHAR.length())));<br />  }<br />  return sb.toString();<br /> }<br /> /** <br />     * 返回一个定长的随机纯字母字符串(只包含大小写字母) <br />     * @param length 随机字符串长度 <br />     * @return 随机字符串 <br />     */ <br />    public static String generateMixString(int length)<br />    { <br />            StringBuffer sb = new StringBuffer(); <br />            Random random = new Random(); <br />            for (int i = 0; i &lt; length; i++)<br />            { <br />                    sb.append(ALLCHAR.charAt(random.nextInt(LETTERCHAR.length()))); <br />            } <br />            return sb.toString(); <br />    } <br />    /** <br />     * 返回一个定长的随机纯大写字母字符串(只包含大小写字母) <br />     * <br />     * @param length 随机字符串长度 <br />     * @return 随机字符串 <br />     */ <br />    public static String generateLowerString(int length) { <br />            return generateMixString(length).toLowerCase(); <br />    }</p>
<p>    /** <br />     * 返回一个定长的随机纯小写字母字符串(只包含大小写字母) <br />     * <br />     * @param length 随机字符串长度 <br />     * @return 随机字符串 <br />     */ <br />    public static String generateUpperString(int length) { <br />            return generateMixString(length).toUpperCase(); <br />    }</p>
<p>    /** <br />     * 生成一个定长的纯0字符串 <br />     * <br />     * @param length 字符串长度 <br />     * @return 纯0字符串 <br />     */ <br />    public static String generateZeroString(int length) { <br />            StringBuffer sb = new StringBuffer(); <br />            for (int i = 0; i &lt; length; i++) { <br />                    sb.append('0'); <br />            } <br />            return sb.toString(); <br />    }</p>
<p>    /** <br />     * 根据数字生成一个定长的字符串，长度不够前面补0 <br />     * <br />     * @param num             数字 <br />     * @param fixdlenth 字符串长度 <br />     * @return 定长的字符串 <br />     */ <br />    public static String toFixdLengthString(long num, int fixdlenth) { <br />            StringBuffer sb = new StringBuffer(); <br />            String strNum = String.valueOf(num); <br />            if (fixdlenth - strNum.length() &gt;= 0) { <br />                    sb.append(generateZeroString(fixdlenth - strNum.length())); <br />            } else { <br />                    throw new RuntimeException("将数字" + num + "转化为长度为" + fixdlenth + "的字符串发生异常！"); <br />            } <br />            sb.append(strNum); <br />            return sb.toString(); <br />    }</p>
<p>    /** <br />     * 根据数字生成一个定长的字符串，长度不够前面补0 <br />     * <br />     * @param num             数字 <br />     * @param fixdlenth 字符串长度 <br />     * @return 定长的字符串 <br />     */ <br />    public static String toFixdLengthString(int num, int fixdlenth) { <br />            StringBuffer sb = new StringBuffer(); <br />            String strNum = String.valueOf(num); <br />            if (fixdlenth - strNum.length() &gt;= 0) { <br />                    sb.append(generateZeroString(fixdlenth - strNum.length())); <br />            } else { <br />                    throw new RuntimeException("将数字" + num + "转化为长度为" + fixdlenth + "的字符串发生异常！"); <br />            } <br />            sb.append(strNum); <br />            return sb.toString(); <br />    }</p>
<p>    /**<br />     * 每次生成的len位数都不相同<br />     * @param param   <br />     * @return 定长的数字<br />     */<br />    public static int getNotSimple(int[] param,int len)<br />    {<br />         Random rand = new Random();<br />         for (int i = param.length; i &gt; 1; i--)<br />         {<br />             int index = rand.nextInt(i);<br />             int tmp = param[index];<br />             param[index] = param[i - 1];<br />             param[i - 1] = tmp;<br />         }<br />         int result = 0;<br />         for(int i = 0; i &lt; len; i++)<br />         {<br />             result = result * 10 + param[i];<br />         }<br />         return result;<br />    }</p>
<p>    public static void main(String[] args) { <br />            System.out.println(generateString(10)); <br />            System.out.println(generateMixString(10)); <br />            System.out.println(generateLowerString(10)); <br />            System.out.println(generateUpperString(10)); <br />            System.out.println(generateZeroString(10)); <br />            System.out.println(toFixdLengthString(123, 10)); <br />            System.out.println(toFixdLengthString(123L, 10)); <br />            int[] in = {1,2,3,4,5,6,7};<br />            System.out.println(getNotSimple(in,3));<br />    } <br />}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-20 04:04:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e9%9a%8f%e6%9c%ba/" title="随机">随机</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java 随机取字符串的工具类_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPYkvp.html" rel="bookmark">java连接Mysql数据库的工具类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个封装好的链接Mysql数据库的工具类,可以方便的获取Connection对象关闭Statement.ResultSet.Statment对象等等 复制代码 代码如下: package myUtil; import java.sql.Connection; import java.sql.DriverManager; import java.sql.PreparedStatement; import java.sql.ResultSet; import java.sql.SQLExceptio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlJjAp.html" rel="bookmark">java连接Oracle数据库的工具类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个封装好的链接Oracle数据库的工具类,可以方便的获取Connection对象关闭Statement.ResultSet.Statment对象等等 复制代码 代码如下: package myUtil; import java.sql.Connection; import java.sql.DriverManager; import java.sql.PreparedStatement; import java.sql.ResultSet; import java.sql.SQLExcepti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWwqVp.html" rel="bookmark">java正则表达式验证工具类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分享一个用正则表达式校验电话号码.身份证号.日期格式.URL.Email等等格式的工具类 复制代码 代码如下: package com.eabax.util; import java.util.regex.Matcher;  import java.util.regex.Pattern;  /**  * 验证工具类  * @author admin  *  */ public class Validation {      //------------------常量定义      /**   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj82Xmp.html" rel="bookmark">java实现的正则工具类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了java实现的正则工具类.分享给大家供大家参考.具体如下: 这里实现的正则工具类适用于:正则电话号码.邮箱.QQ号码.QQ密码.手机号 java代码如下: package com.zhanggeng.contact.tools; /** * RegexTool is used to regex the string ,such as : phone , qq , password , email . * * @author ZHANGGeng * @version v1.0.1 *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2wakz.html" rel="bookmark">java实现excel导入数据的工具类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				导入Excel数据的工具类,调用也就几行代码,很简单的. 复制代码 代码如下: import jxl.Cell;import jxl.Sheet;import jxl.Workbook;import jxl.read.biff.BiffException;import org.apache.commons.beanutils.BeanUtils;import org.slf4j.Logger;import org.slf4j.LoggerFactory; import java.io.IOExc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NA1Wz.html" rel="bookmark">数据库-java中的流属于工具类吗，还是属于一种数据类型？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java中的流属于工具类吗,还是属于一种数据类型? 数据库存储的blob类型数据不应该是一串二进制数吗,为什么都说它是二进制流. 解决方案 工具类都在这个java.util中定义, 你看包就知道了 流是专门处理Io的. 有一套对应的类来支持它 数据库存储的blob类型数据不应该是一串二进制数吗,为什么都说它是二进制流 存储的数据是二进制数,但是这个二进制数的格式是某个对象的 这就是流对象. 你要通过流对象读出二进制数啊 这和你用流读取一个二进制文件是一样的 解决方案二: 流是一种抽象类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKaNvz.html" rel="bookmark">java &plus;-Java怎么实现一个目录工具类，求大神指点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java怎么实现一个目录工具类,求大神指点 最近我们主管给我布置了一个任务,让我做一个目录类,单位其他同事谁用到就直接调用就可以了.但是现在我一点头绪都没有,不知道咋下手. 首先有个根目录/surfs,根目录下面有ABCD四个子目录,分别点击ABCD四个目录时要进行判断是否初始化,如果已经初始化,会生成16个子目录,子目录也同样这么判断.每个目录都有一个唯一的ID,通过UUID获取.根目录和子目录的关系是 比如根目录是abcdefg,那么他下面的目录依次是abcdefg/cdefg/e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWP0Pz.html" rel="bookmark">浅谈常用字符串与集合类转换的工具类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在项目中,我们经常需要把接收到的字符串转换成对应的集合类保存,或者把集合类转换成字符串以方便传输,这个工具类中封装了几个常用的方法,对于这种转换需求十分方便. import java.util.Arrays; import java.util.Collection; import java.util.HashMap; import java.util.HashSet; import java.util.Map; import java.util.Properties; import java.u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJqA02p.html" rel="bookmark">Java基础之java处理ip的工具类&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java处理ip的工具类,包括把long类型的Ip转为一般Ip类型.把xx.xx.xx.xx类型的转为long类型.根据掩码位获取掩码.根据 ip/掩码位 计算IP段的起始IP.根据 ip/掩码位 计算IP段的终止IP等方法,可以直接使用! 复制代码 代码如下: package com.hh.test; import java.util.HashMap; import java.util.Map; import org.apache.commons.lang3.StringUtils; /**			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqDJZb.html" rel="bookmark" class="title">JS网页代码&colon;Javascript取随机颜色函数</a>
					<div>
						文章简介:js获取随机颜色. function getRandomColor(){    return &quot;#&quot;+(&quot;00000&quot;+((Math.random() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOXD5b.html" rel="bookmark" class="title">ASP生成WML文件源代码样本</a>
					<div>
						源代码 必须注意得是,该文件必须保存为.asp为后缀.另外IIS或者其它服务器端必须设置可执行教本程序. &lt;%@ Language=VBScript %&gt;&lt;% Responst.Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5mK7p.html" rel="bookmark" class="title">站长大会 聚集偶像的舞台</a>
					<div>
						4月20日--4月22日,&quot;第三届中国站长大会暨2007中国站长论坛&quot;在风光迤逦的厦门隆重举行.作为乐器行业唯一一个被邀请的网站-----星夜钢琴网(cpiano.com)的站长, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLo2Rb.html" rel="bookmark" class="title">在asp&period;net中如何上传大文件</a>
					<div>
						在asp.net中如何上传大文件呢?我们需要配置Web.config文件.具体如下: 在web.config中的&lt;system.web&gt;&lt;/system.web&gt;内加入如下代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2gGlp.html" rel="bookmark" class="title">MVC模式在j2me项目中的应用&lpar;一&rpar;</a>
					<div>
						版权声明:本文同时发表在www.j2medev.com和我的Blog(blog.csdn.net/alikeboy)上 ,如果需要转载,有三个途径:1)联系我并经我同意:2)和www.j2medev. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPaLPM.html" rel="bookmark" class="title">ppt怎么绘制水果刀&quest;</a>
					<div>
						ppt怎么绘制水果刀?    1.首先,点击&quot;插入 &quot;选项卡下&quot;矩形 &quot;工具,在图中绘制一个长条形的矩形 ,如图所示. 2.然后,点击&quot;插入 &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjdWEp.html" rel="bookmark" class="title">XP系统下怎样设置电脑开机音乐</a>
					<div>
						  1.先用格式转换软件将你要设置为开机音乐的文件转换为WAV格式; 2.打开开始菜单,选择&quot;控制面板&quot;;(有些电脑是:开始--设置--控制面板) 3.在控制面板里面选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElkkoz.html" rel="bookmark" class="title">关于Windows Phone中 环绕icon周围的圆圈</a>
					<div>
						在Stockholm的 Windows Phone Design Day期间的Q&amp;A环节,Stockholm本地的交互设计师Petter Sifver提了一个问题,关于Windows Phon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXwRGp.html" rel="bookmark" class="title">360压缩自解压问题</a>
					<div>
						  1.什么是自解压文件? 自解压文件是很方便的.如果你想要将压缩文件给某一个人,却不知道对方是否可以方便的解压.你就可以使用自解压来发布你自己的文件.这样对方无需任何软件就可以解压你发送的文件了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP87wAp.html" rel="bookmark" class="title">中文匹配-bash中怎么匹配中文字符</a>
					<div>
						问题描述 bash中怎么匹配中文字符 正则表达式[u4e00-u9fa5]在shell中为什么匹配不出中文,且在grep中报出grep:Invalid range end,我想在shell中匹配输入的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEdG1z.html" rel="bookmark" class="title">各位大神，azure的额度恢复了，但是上面的东西都起不来了，咋搞？</a>
					<div>
						问题描述 各位大神,azure的额度恢复了,但是上面的东西都起不来了,咋搞? 各位大神,azure的额度恢复了,但是上面的东西都起不来了,咋搞? 解决方案 Hi, 如果你的额度恢复了却仍然显示服务不可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lJo3b.html" rel="bookmark" class="title">&lbrack;译&rsqb; SQL 指引：如何写出更好的查询</a>
					<div>
						本文讲的是[译] SQL 指引:如何写出更好的查询, 原文地址:SQL Tutorial: How To Write Better Queries 原文作者:Karlijn Willems 译文出自: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWDkLp.html" rel="bookmark" class="title">在tomcat上运行没有问题，在weblogic上运行就报下面的错，跪求大神帮忙</a>
					<div>
						问题描述 在tomcat上运行没有问题,在weblogic上运行就报下面的错,跪求大神帮忙 java.sql.SQLException: Statement cancelled, probably b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAywEM.html" rel="bookmark" class="title">Android自定义控件-仿淘宝ios客户端天猫商品详情界面</a>
					<div>
						仿照淘宝和聚美优品,在商品详情页,向上拖动时,可以加载下一页.使用ViewDragHelper,滑动比较流畅. scrollView滑动到底部的时候,再行向上拖动时,添加了一些阻力. 项目地址:htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2QWmb.html" rel="bookmark" class="title">学习困惑-我自己在学习java中的 菜雀</a>
					<div>
						问题描述 我自己在学习java中的 菜雀 有好的学习java反射机制的视频么 是应该先学习html+css+js 还是先学slq数据库呢 都有学一点不知道先把那个先学好更好??? 解决方案 把java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYo6jp.html" rel="bookmark" class="title">胖子哥的大数据之路（13）：破题，或从数据整合开始</a>
					<div>
						一.前言     这是关于互联网上一篇文章的读后感,原文标题&lt;大数据成变量,BAT入口生态或生变局&gt;.读这篇文章既有醍醐灌顶之顿悟,亦有如履薄冰之恐惧,阿里好强,动作好快.其实,最近一直在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0m8lM.html" rel="bookmark" class="title">华胜天成与IBM将展开深度合作</a>
					<div>
						近年来不断发力高端计算系统的华胜天成不断加码.近日,华胜天成全资子公司华胜信泰宣布,其成员企业新云东方和IBM开启新业务3.0模式,将在政府行业领域的业务及渠道上展开深度合作, 大力推广国产高端计算系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBJrlb.html" rel="bookmark" class="title">iPhone 6数据线曝光 USB口正反都能插</a>
					<div>
						自从苹果在iPhone5发布时推出了9Pin Lightning Dock接口,新接口标准的发布,同时也意味着苹果使用了长达9年的30针Dock接口将被正式取代.现在苹果所有移动设备都统一使用Ligh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M127Brp.html" rel="bookmark" class="title">求班主求帮助android问题</a>
					<div>
						问题描述 求班主求帮助android问题 Android的官方api里怎么没有android.support.v4这个包啊 解决方案 非递归求N皇后问题 解决方案二: eclipse还是AS?都有的啊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xBaAb.html" rel="bookmark" class="title">oracle-麻烦大家帮我想想，急用。。。谢谢</a>
					<div>
						问题描述 麻烦大家帮我想想,急用...谢谢 oracle数据库,表名daily__nm,表中有字段:日期dqt_date,期初数量dqt_c,期末数量dqt__e.要求查出每月最开始一天的期初数量,每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn8amp.html" rel="bookmark" class="title">WordPress实现撮文章第一张远程图片作缩略图并保存到本地</a>
					<div>
						某些项目中,网站允许用户使用外链图片发布文章,或者处于某些特殊原因,网站希望抓取文中的第一张远程图片作为特色图片,并像QQ空间一样,将这张图片保存到本地,并插入到数据库中.总之,完成一系列动作之后,网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYAGab.html" rel="bookmark" class="title">javascript中slice&lpar;&rpar;&comma;splice&lpar;&rpar;&comma;split&lpar;&rpar;&comma;substring&lpar;&rpar;&comma;substr&lpar;&rpar;使用方法&lowbar;javascript技巧</a>
					<div>
						1.slice(): Array和String对象都有 在Array中  slice(i,[j]) i为开始截取的索引值,负数代表从末尾算起的索引值,-1为倒数第一个元素 j为结束的索引值,缺省时则获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqBrLp.html" rel="bookmark" class="title">Apache Rewrite伪静态与URL跳转配置</a>
					<div>
						Rewirte主要的功能就是实现URL的跳转,Rewirte代码的正则表达式是基于Perl语言.基于服务器级的(httpd.conf)和目 录级的 (.htaccess)两种方式,而我们Apache一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW6ZZz.html" rel="bookmark" class="title">街旁正与测绘局沟通 称拿到牌照没问题</a>
					<div>
						[TechWeb消息]6月27日消息,7月1日地图牌照大限将至,街旁网相关负责人表示,正与国家测绘局积极沟通中,称拿到牌照没有问题.此前,国家国家测绘地理信息局5月31日通报了全国46家未申请互联网地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW7jVp.html" rel="bookmark" class="title">oracle 对一张表频繁查询会导致性能下降或者锁表吗？？</a>
					<div>
						问题描述 如题,如果对同一张表的查询很频繁,会导致与这个对这个表的查询功能性能下降,或者锁表操作吗?我有一个查询功能,偶尔会出现性能很差的情况,但是只是偶尔,查看后台发现一张表的查询很频繁,而且好像导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YjL7p.html" rel="bookmark" class="title">关于DWZ框架中分页的跳转问题</a>
					<div>
						问题描述 最近使用了dwz框架,觉得挺不错的.但遇到个问题,就是在做人员管理的时候,需要分页,目前列表分页已经实现,当选中一个人员进行数据更新时,打开新的tab页面,更新成功后,列表又跳转到第一页,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YeV6p.html" rel="bookmark" class="title">云存储时代更好的选择，你的数据由你主宰</a>
					<div>
						  云存储时代更好的选择,你的数据由你主宰 网盘在实际使用过程中的应用场景.应用困惑以及现有解决方案. 作者:佚名来源:51CTO|2016-12-02 17:14  移动端  收藏   分享 要说2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPZxEp.html" rel="bookmark" class="title">南昌校园在线策划书简化版</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 对于一些南昌当地的经济,文化等概况,以及学校的分布,学生的数量等资料.还有经过调查的一些重要资料,如各高校的学生人均消费水平,消费项目等资料,都在电脑里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjogqWM.html" rel="bookmark" class="title">网站做好了，需要上传哪些文件？</a>
					<div>
						问题描述 网站做好了,需要上传哪些文件?上传到空间的那个目录下啊?用的是万网的空间. 解决方案 解决方案二:我是来看你用户名的解决方案三:请上传到万网给你分配的空间下,上传文件,需要你先发布网站,把生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1dA2M.html" rel="bookmark" class="title">流化Excel文件入库问题！</a>
					<div>
						问题描述 如题,代码如下stringfileName=@&quot;F:worktest.txt&quot;;byte[]bytes=newbyte[fs.Length];[align=center] ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
